
//shootable mortar with ammo 
main(){
	level.mortar_ammo = 15;	//max mortar ammo 
	level.mortar_respawn = 7; //seconds in respawn delay
	
	//off or on by cvar "/seta touj_mortar 1" (1=on, 0=off, undefined=off, default=on)
	if(isdefined(getcvar("touj_mortar")) && getcvar("touj_mortar") == "0")
		wait 0.1;
	else{		
		thread doAmmoRespawn();
		thread init_Mortar();
		wait 5;
		thread doMortarAmmo();
		thread doMortar();
	}
}
//function to respawn mortar ammo periodically
doAmmoRespawn(){
	while(1){
		if(level.mortar_ammo >= 15){
			level.mortar_ammo = 15;
			wait 1;
			continue;
		}
		level.mortar_ammo += 1;
		wait level.mortar_respawn;
	}
}
//init mortar ammo = 0 for all players, i want this to run all the time, for new connecting players
init_Mortar(){
	while(1){
		players = getentarray("player", "classname");
		for(i=0; i<players.size; i++){
			if(!isdefined(players[i].mammo)){
				players[i].mammo = 0;
				players[i] iprintln("^1NOTICE: ^7Your mortar ammo: ^2"+players[i].mammo+".\n");
			}
		}
		wait 0.01;
	}
}
//ammo for players to pick up 
doMortarAmmo(){
	mortar_ammo_trig = getent("mortar_ammo_trig", "targetname");
	while(1){
		mortar_ammo_trig waittill("trigger", carrier);
		if(isdefined(carrier) && isdefined(carrier.mammo))
		{
			give = 3 - carrier.mammo;
			if(level.mortar_ammo>give){
				level.mortar_ammo -= give;
				carrier.mammo += give;
				carrier playSound("grenade_pickup");
				carrier iprintln("^1NOTICE: ^7Your mortar ammo: ^2"+carrier.mammo+"^7, you may carry ^23^7 at most.\n");
				carrier iprintln("^1NOTICE: ^7"+level.mortar_ammo+" mortars left.\n");
			}
			else{
				carrier.mammo += level.mortar_ammo;
				level.mortar_ammo = 0;
				ammobox = getent("mortar_full", "targetname");
				ammobox delete();
				mortar_ammo_trig delete();
				carrier playSound("grenade_pickup");
				carrier iprintln("^1NOTICE: ^7Your mortar ammo: ^2"+carrier.mammo+"^7, you may carry ^23^7 at most.\n");
				iprintln("^1NOTICE: ^7"+carrier.name+"^7 took the last mortar.\n");
			}
		}
		wait 1;
	}
}
//mortar random target hit, only one mortar
doMortar(){
	mortar_trig = getent("mortar_trig", "targetname");
	mortar_smoke = getent("mortar_smoke", "targetname");
	mortar_hit = getentarray("mortar_hit", "targetname");
	while(1){
		mortar_trig waittill("trigger", user);
		if(isdefined(user) && isdefined(user.mammo))
		{
			if(user.mammo==0)
				user iprintln("^1NOTICE: ^7You don't have any mortar ammo.\n");
			else{
				mortar_smoke playSound("weap_mortar_fire");
				playfx(level.mortar_light, mortar_smoke.origin+(0,0,4));
				wait 0.1;
				playfx(level._effect["thin_light_smoke_M"], mortar_smoke.origin);
				wait 2;
				hitloc = mortar_hit[randomInt(mortar_hit.size-1)];
				playfx(level._effect["bombexplosion"], hitloc.origin);
				hitloc playSound("building_explosion1");
				radiusDamage(hitloc.origin, 150, 150, 50);
				earthquake(0.4, 0.6, hitloc.origin, 200);
				user.mammo--;
				user iprintln("^1NOTICE: ^7Your mortar ammo now is: ^2"+user.mammo+".\n");
			}
		}
		wait 0.1;
	}
}